package de.ivu.elect.business.stimmzettel.entity;

import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.business.gruppe.entity.Gruppe;
import de.ivu.elect.business.konfiguration.entity.CustomParameterLoaderContext;

public class StimmzettelKopfdatumLoaderContext implements CustomParameterLoaderContext<StimmzettelKopfdatumArt> {

  private final Gebiet gebiet;

  private final Gruppe gruppe;

  private final StimmzettelKopfdatumArt template;
  
  public StimmzettelKopfdatumLoaderContext(Gebiet gebiet, StimmzettelKopfdatumArt template) {
    this(gebiet, null, template);
  }

  public StimmzettelKopfdatumLoaderContext(Gebiet gebiet, Gruppe gruppe, StimmzettelKopfdatumArt template) {
    this.gebiet = gebiet;
    this.gruppe = gruppe;
    this.template = template;
  }

  public Gebiet getGebiet() {
    return gebiet;
  }

  @Override
  public StimmzettelKopfdatumArt getTemplate() {
    return template;
  }

  public Gruppe getGruppe() {
    return gruppe;
  }
}
